CREATE TABLE fun_parallel_setup_job_params (
    PARALLEL_JOB_PARAM_ID    NUMBER(18, 0) ,
    PARALLEL_JOB_ID          NUMBER(18, 0)     NOT NULL,
    PARAMETER_NUM            NUMBER(3, 0)      NOT NULL,
    PARAMETER_VALUE          VARCHAR2(400) ,
    PARAMETER_TYPE_CODE      VARCHAR2(120)     NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    PARALLEL_JOB_PARAM_ID    NUMBER(18, 0) ,
    PARALLEL_JOB_ID          NUMBER(18, 0)     NOT NULL,
    PARAMETER_NUM            NUMBER(3, 0)      NOT NULL,
    PARAMETER_VALUE          VARCHAR2(400) ,
    PARAMETER_TYPE_CODE      VARCHAR2(120)     NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fun_parallel_setup_job_params PRIMARY KEY (PARALLEL_JOB_PARAM_ID, PARALLEL_JOB_PARAM_ID)
);
